Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(21)

Issue 2996143002: Add methods to Result. Bump version to 2.0 and remove deprecated features. (Closed)

Created:
2 years, 1 month ago by Lasse Reichstein Nielsen
Modified:
2 years ago
Reviewers:
floitsch
CC:
reviews_dartlang.org, nweiz
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Add methods to Result. Bump version to 2.0 and remove deprecated features. R=floitsch@google.com Committed: https://github.com/dart-lang/async/commit/b2118cebadf8933b047c487477c088d362d9d95a

Patch Set 1 #

Total comments: 1

Patch Set 2 : Fix rest, move result.dart to src/result, add tests #

Patch Set 3 : Add comments. Aboid repeating code. #

Patch Set 4 : Dartformat. #

Total comments: 3

Patch Set 5 : Address comments, run dartfmt on tests too. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+520 lines, -622 lines) Patch
M CHANGELOG.md View 1 chunk +9 lines, -0 lines 0 comments Download
M lib/async.dart View 1 1 chunk +1 line, -3 lines 0 comments Download
D lib/result.dart View 1 chunk +0 lines, -13 lines 0 comments Download
M lib/src/result.dart View 1 1 chunk +0 lines, -150 lines 0 comments Download
D lib/src/result/capture_sink.dart View 1 2 1 chunk +3 lines, -4 lines 0 comments Download
M lib/src/result/capture_transformer.dart View 1 2 chunks +4 lines, -6 lines 0 comments Download
M lib/src/result/error.dart View 1 2 3 3 chunks +16 lines, -5 lines 0 comments Download
M lib/src/result/future.dart View 1 2 chunks +5 lines, -11 lines 0 comments Download
D lib/src/result/release_sink.dart View 1 2 1 chunk +3 lines, -9 lines 0 comments Download
M lib/src/result/release_transformer.dart View 1 2 chunks +4 lines, -6 lines 0 comments Download
A lib/src/result/result.dart View 1 2 3 1 chunk +224 lines, -0 lines 0 comments Download
M lib/src/result/value.dart View 1 2 2 chunks +8 lines, -2 lines 0 comments Download
M lib/src/stream_queue.dart View 1 2 chunks +2 lines, -2 lines 0 comments Download
M lib/src/stream_splitter.dart View 1 1 chunk +1 line, -1 line 0 comments Download
D lib/stream_zip.dart View 1 chunk +0 lines, -9 lines 0 comments Download
M pubspec.yaml View 1 chunk +1 line, -1 line 0 comments Download
A test/result/result_captureAll_test.dart View 1 2 3 4 1 chunk +187 lines, -0 lines 0 comments Download
A test/result/result_flattenAll_test.dart View 1 2 3 4 1 chunk +54 lines, -0 lines 0 comments Download
A + test/result/result_future_test.dart View 1 0 chunks +-1 lines, --1 lines 0 comments Download
A + test/result/result_test.dart View 1 0 chunks +-1 lines, --1 lines 0 comments Download
D test/result_future_test.dart View 1 1 chunk +0 lines, -44 lines 0 comments Download
D test/result_test.dart View 1 1 chunk +0 lines, -358 lines 0 comments Download

Messages

Total messages: 7 (2 generated)
Lasse Reichstein Nielsen
Preview, will add/update tests too.
2 years, 1 month ago (2017-08-17 13:13:53 UTC) #2
floitsch
So far looks good tm. https://codereview.chromium.org/2996143002/diff/1/lib/src/result.dart File lib/src/result.dart (right): https://codereview.chromium.org/2996143002/diff/1/lib/src/result.dart#newcode87 lib/src/result.dart:87: /// Capture each future ...
2 years, 1 month ago (2017-08-17 15:29:22 UTC) #3
Lasse Reichstein Nielsen
PTAL
2 years ago (2017-08-23 09:40:59 UTC) #4
floitsch
LGTM. https://codereview.chromium.org/2996143002/diff/60001/test/result/result_captureAll_test.dart File test/result/result_captureAll_test.dart (right): https://codereview.chromium.org/2996143002/diff/60001/test/result/result_captureAll_test.dart#newcode32 test/result/result_captureAll_test.dart:32: var all = await Result.captureAll<int>(futures(1, throwWhen: (_) => ...
2 years ago (2017-08-24 17:46:39 UTC) #5
Lasse Reichstein Nielsen
2 years ago (2017-08-25 10:47:52 UTC) #7
Message was sent while issue was closed.
Committed patchset #5 (id:80001) manually as
b2118cebadf8933b047c487477c088d362d9d95a (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698